/**
 * ActRelationshipAccounting.java
 *
 * File generated from the medication::ActRelationshipAccounting uml Enumeration
 * Generated by IHE - europe, gazelle team
 */
package net.ihe.gazelle.medication;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;
/**
 * Description of the enumeration ActRelationshipAccounting.
 *
 * 
 */

@XmlType(name = "ActRelationshipAccounting")
@XmlEnum
@XmlRootElement(name = "ActRelationshipAccounting")
public enum ActRelationshipAccounting {
	@XmlEnumValue("CHRG")
	CHRG("CHRG"),
	@XmlEnumValue("COST")
	COST("COST"),
	@XmlEnumValue("CREDIT")
	CREDIT("CREDIT"),
	@XmlEnumValue("DEBIT")
	DEBIT("DEBIT");
	
	private final String value;

    ActRelationshipAccounting(String v) {
        value = v;
    }
    
     public String value() {
        return value;
    }

    public static ActRelationshipAccounting fromValue(String v) {
        for (ActRelationshipAccounting c: ActRelationshipAccounting.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }
	
}